# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Enum Reminder.Method

    java.lang.Object
      java.lang.Enum<Reminder.Method>
          com.google.gdata.data.extensions.Reminder.Method

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Reminder.Method>

Enclosing class:
  Reminder

    public static enum Reminder.Method

extends java.lang.Enum<Reminder.Method>

Enum Constant Summary
`ALERT`
`ALL`
`EMAIL`
`NONE`
`SMS`

Method Summary
`static Reminder.Method` `fromString(java.lang.String s)`
`java.lang.String` `generate()` Creates the string value suitable for the value of "method" in a GData feed.
`static Reminder.Method` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Reminder.Method[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALERT

    public static final Reminder.Method ALERT

### ALL

    public static final Reminder.Method ALL

### EMAIL

    public static final Reminder.Method EMAIL

### NONE

    public static final Reminder.Method NONE

### SMS

    public static final Reminder.Method SMS

Method Detail

### values

    public static Reminder.Method[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Reminder.Method c : Reminder.Method.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Reminder.Method valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### fromString

    public static Reminder.Method fromString(java.lang.String s)

  Throws:
    `java.lang.IllegalArgumentException` - if it doesn't match a method

### generate

    public java.lang.String generate()

  Creates the string value suitable for the value of "method" in a GData feed.